/*
 * Copyright (c) 2011-2022 NVIDIA CORPORATION & AFFILIATES, ALL RIGHTS RESERVED.
 *
 * This software product is a proprietary product of NVIDIA CORPORATION &
 * AFFILIATES (the "Company") and all right, title, and interest in and to the
 * software product, including all associated intellectual property rights, are
 * and shall remain exclusively with the Company.
 *
 * This software product is governed by the End User License Agreement
 * provided with the software product.
 *
 */

#ifndef _REGEX_ROF_H
#define _REGEX_ROF_H
struct regex_rof_entry
{
        uint8_t type;
        uint32_t addr;
        uint64_t value;
        char *data_block;
};

struct regex_rof
{
        uint32_t rof_version;
        char *timestamp;
        char *regex_compiler_version;
        uint32_t rof_revision;
        uint32_t number_of_entries;
        struct regex_rof_entry *rof_entries;
};
#endif /* _REGEX_ROF_H */
